GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
geos::util::Interrupt Class Reference

`#include <Interrupt.h>`

## Public Types
typedef void( | Callback )(void)

## Static Public Member Functions
static void | request ()
static void | cancel ()
static bool | check ()
static Callback * | registerCallback (Callback *cb)
| Register a callback that will be invoked before checking for interruption requests.
static void | process ()
static void | interrupt ()

## Detailed Description

Used to manage interruption requests and callbacks

## Member Function Documentation

static void geos::util::Interrupt::cancel | ( |  | ) |
| static

Cancel a pending interruption request

static bool geos::util::Interrupt::check | ( |  | ) |
| static

Check if an interruption request is pending

static void geos::util::Interrupt::process | ( |  | ) |
| static

Invoke the callback, if any. Process pending interruption, if any.

static Callback* geos::util::Interrupt::registerCallback | ( | Callback * | cb | ) |
| static

Register a callback that will be invoked before checking for interruption requests.

NOTE that interruption request checking may happen frequently so any callback would better be quick.

The callback can be used to call Interrupt::request()

static void geos::util::Interrupt::request | ( |  | ) |
| static

Request interruption of operations

Operations will be terminated by a GEOSInterrupt exception at first occasion.

The documentation for this class was generated from the following file:

- Interrupt.h